// #!/usr/bin/env node

import fs from "fs-extra"
import path from "path"
import { fileURLToPath } from "url"

const __filename = fileURLToPath(import.meta.url)
const __dirname = path.dirname(__filename)

// Get target directory name from CLI
const projectName = process.argv[2] || "my-dashboard"
const targetPath = path.resolve(process.cwd(), projectName)

// Path to local template folder
const templatePath = path.resolve(__dirname, "../template")

console.log(`🚀 Creating project at: ${targetPath}`)

try {
  fs.copySync(templatePath, targetPath)
  console.log("✅ Template copied successfully!")
  console.log(`👉 cd ${projectName} && npm install && npm run dev`)
} catch (err) {
  console.error("❌ Failed to copy template:", err)
  process.exit(1)
}
